<template>
  <footer class="bg-lighter">
    <!-- Logos partenaires -->
    <div class="footer-partners">
      <div class="container p-5">
        <VueSlickCarousel v-bind="settings">
          <div>
            <a href="#"><img class="mx-auto" src="../../assets/img/logos/logo-1.png" height="50" alt="" /></a>
          </div>
          <div>
            <a href="#"><img class="mx-auto" src="../../assets/img/logos/logo-2.png" height="50" alt="" /></a>
          </div>
          <div>
            <a href="#"><img class="mx-auto" src="../../assets/img/logos/logo-5.png" height="50" alt="" /></a>
          </div>
          <div>
            <a href="#"><img class="mx-auto" src="../../assets/img/logos/logo-6.png" height="50" alt="" /></a>
          </div>
          <div>
            <a href="#"><img class="mx-auto" src="../../assets/img/logos/logo-7.png" height="50" alt="" /></a>
          </div>
          <div>
            <a href="#"><img class="mx-auto" src="../../assets/img/logos/logo-8.jpg" height="50" alt="" /></a>
          </div>
          <div>
            <a href="#"><img class="mx-auto" src="../../assets/img/logos/logo-9.png" height="50" alt="" /></a>
          </div>
          <div>
            <a href="#"><img class="mx-auto" src="../../assets/img/logos/logo-10.png" height="50" alt="" /></a>
          </div>
          <div>
            <a href="#"><img class="mx-auto" src="../../assets/img/logos/logo-11.png" height="50" alt="" /></a>
          </div>
        </VueSlickCarousel>
      </div>
    </div>

    <!-- modes de paiement -->
    <div class="footer-paiement">
      <div class="container px-5 text-center">
        <img src="../../assets/img/e-commerce/iconmonstr-delivery-6.svg" alt="Livraison gratuite" />
        <img src="../../assets/img/e-commerce/iconmonstr-paypal-8.svg" alt="PayPal" />
        <img src="../../assets/img/e-commerce/iconmonstr-payment-1.svg" alt="Américan Express" />
        <img src="../../assets/img/e-commerce/iconmonstr-payment-3.svg" alt="Visa" />
        <img src="../../assets/img/e-commerce/iconmonstr-payment-5.svg" alt="Master card" />
        <img src="../../assets/img/e-commerce/iconmonstr-credit-card-5.svg" alt="Carte bleue" />
        <img src="../../assets/img/e-commerce/iconmonstr-debit-2.svg" alt="Chèque" />
      </div>
    </div>

    <div class="container p-5">
      <div class="row">
        <div class="col-md-4 col-lg-4">
          <!-- Brand -->
          <img src="../../assets/img/logo-header.png" class="mb-4" width="200" alt="Aerial Group" />

          <!-- Text -->
          <address class="text-gray-700 mb-4">
            ZA Le Verger - 185 allée des Fruitiers<br />
            44690 LA HAYE FOUASSIERE<br />
            <a href="tel:0240800773">02 40 80 07 73</a>
          </address>
        </div>
        <div class="col-md-4 col-lg-4">
          <!-- List -->
          <ul class="list-unstyled text-muted mb-4">
            <li class="mb-3">
              <a href="#!" class="text-reset"> Mentions légales </a>
            </li>
            <li class="mb-3">
              <a href="#!" class="text-reset"> Politique de confidentialité </a>
            </li>
            <li class="mb-3">
              <a href="#!" class="text-reset"> Contacter l'administrateur du site </a>
            </li>
          </ul>
        </div>
        <div class="col-md-4 col-lg-4">
          <!-- List -->
          <ul class="list-unstyled text-muted mb-4">
            <li class="mb-3">
              <a href="#!" class="text-reset"> Compte client </a>
            </li>
            <li class="mb-3">
              <a href="#!" class="text-reset"> Offre promotionnelles </a>
            </li>
          </ul>

          <!-- Social -->
          <ul class="list-unstyled list-inline list-social mb-6 mb-md-0">
            <li class="list-inline-item list-social-item mr-3">
              <a href="#!" class="text-decoration-none">
                <img src="../../assets/img/icons/029-instagram.svg" width="25" alt="Instagram" />
              </a>
            </li>
            <li class="list-inline-item list-social-item mr-3">
              <a href="#!" class="text-decoration-none">
                <img src="../../assets/img/icons/036-facebook.svg" width="25" alt="Facebook" />
              </a>
            </li>
            <li class="list-inline-item list-social-item mr-3">
              <a href="#!" class="text-decoration-none">
                <img src="../../assets/img/icons/008-twitter.svg" width="25" alt="Twitter" />
              </a>
            </li>
            <li class="list-inline-item list-social-item mr-3">
              <a href="#!" class="text-decoration-none">
                <img src="../../assets/img/icons/021-pinterest.svg" width="25" alt="Pinterest" />
              </a>
            </li>
            <li class="list-inline-item list-social-item mr-3">
              <a href="#!" class="text-decoration-none">
                <img src="../../assets/img/logo-aerial-conseil.png" width="50" alt="Aerial Group" />
              </a>
            </li>
          </ul>
        </div>
      </div>
      <!-- / .row -->
    </div>
    <!-- / .container -->
  </footer>
</template>

<script>
import VueSlickCarousel from "vue-slick-carousel";
import "vue-slick-carousel/dist/vue-slick-carousel.css";
// optional style for arrows & dots
// import 'vue-slick-carousel/dist/vue-slick-carousel-theme.css'

export default {
  name: "MyComponent",
  components: { VueSlickCarousel },
  data() {
    return {
      settings: {
        dots: false,
        autoplay: true,
        autoplaySpeed: 2000,
        slidesToShow: 8,
        slidesToScroll: 1,
        initialSlide: 0,
        pauseOnDotsHover: true,
        infinite: true,
        speed: 500,
        pauseOnHover: true,
        responsive: [
          {
            breakpoint: 1024,
            settings: {
              slidesToShow: 5,
              slidesToScroll: 1,
            },
          },
          {
            breakpoint: 600,
            settings: {
              slidesToShow: 2,
              slidesToScroll: 1,
              initialSlide: 2,
            },
          },
          {
            breakpoint: 480,
            settings: {
              slidesToShow: 1,
              slidesToScroll: 1,
            },
          },
        ],
      },
    };
  },
};
</script>

<style>
</style>
